program fukingsinus;

uses crush13h,crt;

var x,y: integer;
    c: char;

Var Px,Py:Integer;
    Deg:Word;

begin
     video_mode ( $13);
     initvirt;
     inittables;

     cls (0,vga);

     x:=0;
     repeat
          x:=x+1;






          Py:=Trunc(Cosines^[x*4]*30)+100;
          PutPixel(x,Py,2,vga);




          waitvbl;
          if keypressed= true then c:=readkey;
          if x>320 then c:=#27;
     until c=#27;

     cleartables;
     closevirt;
     video_mode ( 03);
end.